%define tar_ver	%(echo %{version}|sed -e 's/\\./\\_/g')

Name:		jamulus
Version:	3.6.2
Release:	%mkrel 1
Summary:	Low-latency internet connection tool for real-time jam sessions
License:        GPLv2+
Group:		Sound/Utilities
URL:		http://llcon.sourceforge.net/
# https://sourceforge.net/projects/llcon/files/Jamulus/%%{version}/Jamulus-%%{version}.tar.gz
Source0:	https://github.com/corrados/jamulus/archive/r%{tar_ver}/%{name}-%{version}.tar.gz
BuildRequires:	imagemagick
BuildRequires:	gcc-c++
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(opus)
Requires:	jackit

Provides:	Jamulus = %{version}-%{release}

%description
The Jamulus software enables musicians to perform real-time jam sessions over
the internet. There is one server running the Jamulus server software which
collects the audio data from each Jamulus client software, mixes the audio data
and sends the mix back to each client.

%prep
%autosetup -n %{name}-r%{tar_ver}

%build
%qmake_qt5 CONFIG+=opus_shared_lib
%make_build

%install
install -D -m0755 Jamulus %{buildroot}%{_bindir}/%{name}

for s in 16 22 32 48 64 72 96 128 192; do
	mkdir -p %{buildroot}%{_iconsdir}/hicolor/${s}x${s}/apps
	convert -strip -resize ${s}x${s} distributions/jamulus.png \
	%{buildroot}%{_iconsdir}/hicolor/${s}x${s}/apps/%{name}.png
done

desktop-file-install \
	--dir %{buildroot}%{_datadir}/applications \
	distributions/%{name}.desktop

%files
%doc README.md ChangeLog
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Thu Dec 17 2020 daviddavid <daviddavid> 3.6.2-1.mga8
+ Revision: 1659326
- new version: 3.6.2

* Thu Dec 17 2020 umeabot <umeabot> 3.4.7-2.mga8
+ Revision: 1658615
- Rebuild for new Qt5

* Wed Apr 15 2020 daviddavid <daviddavid> 3.4.7-1.mga8
+ Revision: 1567409
- initial package jamulus

